apiVersion: apps/v1
kind: Deployment
{{ range $i, $dep := .Values.deployment }}
metadata:
  name: {{ $dep.name }}
  labels:
    app: {{ $dep.name }}
  namespace: {{ $dep.namespace }}
spec:
  replicas: 1
  selector:
    matchLabels:
      app: {{ $dep.name }}
  template:
    metadata:
      labels:
        app: {{ $dep.name }}
    spec: # Pod spec
      containers:
      {{ $pod := index .Values.container $i }}
      - name: {{ $pod.name }}
        image: {{ $pod.image }}
        ports:
        - containerPort: {{ $pod.port }}
{{ end }}